routes/web.php
Route::get('/shop/{slug}','ShopController@postByShop')->name('shop.posts');
Route::post('/shop/search/area','ShopController@shopByArea')->name('shop.search');


/*map system all route*/
Route::post('location','LocationController@index')->name('getLocation');

Route::get('testing/map','LocationController@maps')->name('google.map');

//driver and shop owner registration

Route::get('rider/info', 'Driver\RegisterController@driverbasic')->name('driver.basic');
Route::get('rider/register', 'Driver\RegisterController@driveradd')->name('add.driver');
Route::post('store/rider', 'Driver\RegisterController@store')->name('store.driver');
Route::get('restaurant/info', 'Author\RegisterController@restaurantbasic')->name('restaurant.basic');
Route::get('restaurant/register', 'Author\RegisterController@restaurantadd')->name('add.restaurant');
Route::post('restaurant/store', 'Author\RegisterController@store')->name('store.restaurant');

//thanks page
Route::get('thanks/', 'HomeController@thanks')->name('registration.thanks');

Route::post('subscriber','SubscriberController@store')->name('subscriber.store');

Auth::routes();
Route::get('login/{facebook}', 'Auth\LoginController@redirectToProvider')->name('login.facebook');
Route::get('login/{facebook}/callback', 'Auth\LoginController@handleProviderCallback');

Route::get('login/{google}', 'Auth\LoginController@redirectToProvider')->name('login.google');
Route::get('login/{google}/callback', 'Auth\LoginController@handleProviderCallback');

//for shop all reviews load
Route::get('reviews/load/{id}', 'Auth\ReviewController@loadReviewPage')->name('load.reviews');

Route::group(['middleware'=>['history','auth']], function () {
    Route::post('favorite/{shop}/add','FavoriteController@add')->name('shop.favorite');
    Route::post('reviews/{post}','Auth\ReviewController@store')->name('review.store');
    Route::post('rating/shop','Auth\RatingsController@addnewrate')->name('rating.store');

    Route::post('/shipping', 'Auth\ShippingAddressController@store')->name('shipping.address.store');
    Route::post('/shipping/edit', 'Auth\ShippingAddressController@edit')->name('shipping.address.edit');

    Route::post('/charge', 'Auth\CartController@store')->name('order.store');//stripe

    Route::post('/paypal', 'Auth\CartController@paypal')->name('paypal.checkout');//paypal
    Route::get('/process', 'Auth\CartController@process')->name('paypal.process');//paypal
    Route::get('/cancel', 'Auth\CartController@cancal')->name('paypal.cancel');//paypal
});

Route::group(['as'=>'admin.','prefix'=>'admin','namespace'=>'Admin','middleware'=>['auth','admin','history']], function ()
{
    Route::get('dashboard','DashboardController@index')->name('dashboard');

    Route::get('settings','SettingsController@index')->name('settings');
    Route::put('profile-update','SettingsController@updateProfile')->name('profile.update');
    Route::put('password-update','SettingsController@updatePassword')->name('password.update');

    Route::get('admin-manage','AdminController@index')->name('admin.manage');
    Route::post('admin-block/{id}','AdminController@block')->name('admin.block');
    Route::post('admin-unblock/{id}','AdminController@unblock')->name('admin.unblock');

    //Location
    Route::get('location/city','LocationController@city')->name('city');
    Route::post('city/add','LocationController@addcity')->name('city.add');
    Route::put('city/update','LocationController@updateCity')->name('city.update');
    Route::delete('city/delete{id}','LocationController@destroyCity')->name('city.destroy');
    Route::get('location/state','LocationController@area')->name('areas');
    Route::post('state/add','LocationController@addarea')->name('area.add');
    Route::put('state/update','LocationController@updateArea')->name('area.update');
    Route::delete('state/delete{id}','LocationController@destroyArea')->name('area.destroy');

    Route::resource('category','CategoryController');
    Route::get('food-item','PostController@index')->name('post');

    Route::get('order-manage','OrderController@index')->name('order.driver.manage');
    Route::get('order-complete','OrderController@ordercomplete')->name('order.complete');
    Route::post('order/transaction','OrderController@transaction')->name('order.transaction');
    Route::get('order/transactions','OrderController@transactionpage')->name('page.transaction');
    //assign driver for order
    Route::post('request/driver','OrderController@requestDriver')->name('request.driver');
    Route::put('order/approve/{id}','OrderController@approveorder')->name('order.approve');


    Route::get('shops-manage','ShopController@index')->name('shop.manage');
    Route::post('shop-block/{id}','ShopController@block')->name('shop.block');
    Route::post('shop-unblock/{id}','ShopController@unblock')->name('shop.unblock');
    Route::get('shops/pending','ShopController@pendingshops')->name('pending.shops');
    Route::post('pending/shops/approve{id}','ShopController@shopapprove')->name('approve.shops');
    Route::delete('pending/shops/cancel{id}','ShopController@shopCancel')->name('cancel.shop');
    Route::get('shops/tax','ShopController@taxRate')->name('shops.tax');
    Route::post('shops/tax/update','ShopController@taxUpdate')->name('shops.tax.update');

    Route::get('driver-manage','DriverController@index')->name('driver.manage');
    Route::post('driver-block/{id}','DriverController@block')->name('driver.block');
    Route::post('driver-unblock/{id}','DriverController@unblock')->name('driver.unblock');
    Route::get('pending/drivers','DriverController@pendingdrivers')->name('pending.drivers');
    Route::put('pending/driver/approve{id}','DriverController@driverApprove')->name('approve.driver');
    Route::delete('pending/driver/cancel{id}','DriverController@driverCancel')->name('cancel.driver');

    //cash out controller
    Route::get('cashout/shop/request','CashoutController@shop')->name('cashout.request.shop');
    Route::get('cashout/driver/request','CashoutController@driver')->name('cashout.request.driver');

    Route::get('blocked/user','UserController@blockeduser')->name('user.blocked');
    Route::post('blocked/user/{id}','UserController@unblockeduser')->name('user.unblocked');


    Route::get('/subscriber','SubscriberController@index')->name('subscriber.index');
    Route::delete('/subscriber/{subscriber}','SubscriberController@destroy')->name('subscriber.destroy');

    Route::post('notification/seen','NotificationController@makeSeenOrder')->name('notification.seen');
    Route::view('notify','layouts.backend.inc.notifyadmin',[
        'orders' => Order::latest('created_at')->where('created_at','>=',Carbon::today())->get()
    ]);

});

Route::group(['as'=>'author.','prefix'=>'author','namespace'=>'Author','middleware'=>['auth','author','history']], function ()
{
    Route::get('dashboard','DashboardController@index')->name('dashboard');

    Route::get('account','AccountController@index')->name('account.info');
    Route::put('cashout/request','AccountController@cashout')->name('cashout.request');

    Route::get('settings','SettingsController@index')->name('settings');
    Route::put('profile-update','SettingsController@updateProfile')->name('profile.update');
    Route::post('password-update','SettingsController@updatePassword')->name('password.update');

    Route::get('shop','ShopController@index')->name('shopinfo');
    Route::put('shop-update','ShopController@updateShop')->name('shop.update');

    Route::resource('post','PostController');
    Route::resource('category','CategoryController');

    Route::get('order-manage','OrderController@index')->name('order.manage');
    Route::put('cooking/ready','OrderController@cookingReady')->name('cooking.ready');
    Route::put('shop/cooking/deliver','OrderController@cookingDeliver')->name('shop.cooking.deliver');
    Route::get('transactions','TransactionController@index')->name('transaction.history');

    Route::post('notification/seen','NotificationController@makeSeenOrder')->name('notification.seen');
    Route::view('notify','layouts.backend.inc.notifyshop',[
        'orders' => Order::latest('created_at')->where('created_at','>=',Carbon::today())->where('is_approved',1)->get()
    ]);

    Route::get('reviews','ReviewController@index')->name('review.index');

});

Route::group(['as'=>'driver.','prefix'=>'driver','namespace'=>'Driver','middleware'=>['auth','driver','history']], function ()
{
    Route::get('profile','DashboardController@index')->name('dashboard');
    Route::post('/profile/update','SettingsController@updateProfile')->name('update.profile');
    Route::post('/password/update','SettingsController@updatePassword')->name('update.password');

    Route::put('order/deliver','OrderController@deliver')->name('order.deliver');

    Route::put('cashout/request','AccountController@cashout')->name('cashout.request');


});

Route::group(['as'=>'customer.','prefix'=>'customer','namespace'=>'Customer','middleware'=>['auth','customer','history']], function ()
{
    Route::get('profile','DashboardController@index')->name('dashboard');
    Route::post('profile-update','SettingsController@updateProfile')->name('profile.update');
    Route::post('password-update','SettingsController@updatePassword')->name('password.update');

    Route::post('review','ReviewController@reviewDriver')->name('review.driver');

    Route::post('addtocart/{post}','CartController@addcart')->name('cart.add');
    Route::get('/cart/{cartId}','CartController@remove')->name('cart.remove');
    Route::get('show/cart','CartController@show')->name('cart.show');///for checkout page
    Route::post('distance/meter','CartController@distance')->name('distance.calculate');
    Route::post('update/cart/','CartController@update')->name('cart.update');
    Route::get('checkout/','CartController@checkout')->name('checkout');
    Route::post('destroy/cart/','CartController@destroy')->name('cart.destroy');

resources/views/layouts/backend/app.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title> @yield('title') -{{ config('app.name', 'abeerfoood') }}</title>

    <!-- Favicon Icon -->
    <link rel="shortcut icon" href="{{ asset('assets/frontend/img/favicon.ico') }}">
    <link rel="apple-touch-icon" href="{{ asset('assets/frontend/img/favicon.ico') }}">
    <link rel="apple-touch-icon" sizes="72x72" href="{{ asset('assets/frontend/img/favicon.ico') }}">
    <link rel="apple-touch-icon" sizes="114x114" href="{{ asset('assets/frontend/img/favicon.ico') }}">

    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Roboto:400,700&subset=latin,cyrillic-ext" rel="stylesheet" type="text/css">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" type="text/css">

    <!-- Bootstrap Core Css -->
    <link href="{{ asset('assets/backend/plugins/bootstrap/css/bootstrap.css') }}" rel="stylesheet">

    <!-- Waves Effect Css -->
    <link href="{{ asset('assets/backend/plugins/node-waves/waves.css') }}" rel="stylesheet">
    <!-- Animation Css -->
    <link href="{{ asset('assets/backend/plugins/animate-css/animate.css') }}" rel="stylesheet">

    <!-- Custom Css -->
    <link href="{{ asset('assets/backend/css/style.css') }}" rel="stylesheet">

    <!-- AdminBSB Themes. You can choose a theme from css/themes instead of get all themes -->
    <link href="{{ asset('assets/backend/css/themes/all-themes.css') }}" rel="stylesheet" >
    <link rel="stylesheet" href="https://cdn.bootcss.com/toastr.js/latest/css/toastr.min.css">

    @stack('css')

</head>
<body class="theme-grey">

    <!-- Page Loader -->
    <div class="page-loader-wrapper">
        <div class="loader">
            <div class="preloader">
                <div class="spinner-layer pl-red">
                    <div class="circle-clipper left">
                        <div class="circle"></div>
                    </div>
                    <div class="circle-clipper right">
                        <div class="circle"></div>
                    </div>
                </div>
            </div>
            <p>Please wait...</p>
        </div>
    </div>
    <!-- #END# Page Loader -->
    <!-- Overlay For Sidebars -->
    <div class="overlay"></div>
    <!-- #END# Overlay For Sidebars -->
    @include('layouts.backend.inc.header')
    <section>
        @include('layouts.backend.inc.sidebar')
    </section>

    <section class="content">
        @yield('content')
    </section>

    <!-- Jquery Core Js -->
    <script src="{{ asset('assets/backend/plugins/jquery/jquery.min.js') }}"></script>

    <!-- Bootstrap Core Js -->
    <script src="{{ asset('assets/backend/plugins/bootstrap/js/bootstrap.js') }}"></script>

    <!-- Select Plugin Js -->
   {{---- <script src="{{ asset('assets/backend/plugins/bootstrap-select/js/bootstrap-select.js') }}"></script>
----}}
    <!-- Slimscroll Plugin Js -->
    <script src="{{ asset('assets/backend/plugins/jquery-slimscroll/jquery.slimscroll.js') }}"></script>

    <!-- Waves Effect Plugin Js -->
    <script src="{{ asset('assets/backend/plugins/node-waves/waves.js') }}"></script>

    <!-- Custom Js -->
    <script src="{{ asset('assets/backend/js/admin.js') }}"></script>

    <!-- Demo Js -->
    <script src="{{ asset('assets/backend/js/demo.js') }}"></script> <!-- Jquery Core Js -->
    @if(Auth::user()->role->id == 1)
        <script>
            function playSound(filename){
                var mp3Source = '<source src="' + filename + '.mp3" type="audio/mpeg">';
                var oggSource = '<source src="' + filename + '.ogg" type="audio/ogg">';
                var embedSource = '<embed hidden="true" autostart="true" loop="false" src="' + filename +'.mp3">';
                document.getElementById("sound_test").innerHTML='<audio autoplay="autoplay">' + mp3Source + oggSource + embedSource + '</audio>';
            }
            function notification_refresh() {

                $('#unique_notification').load('<?php echo url('admin/notify');?>').fadeIn('slow');
            }
            setInterval("notification_refresh();",1500);//for sound
            //for notification have been seen
            $(document).ready(function() {
                $('#unique_notification').click(function(){
                    var _token =$('input[name="_token"]').val();
                    $.post("<?php echo url(route('admin.notification.seen')) ?>", {_token:_token ,data:'karim'}, function (data) {
                        //
                    });
                });
            });
        </script>
    @elseif(Auth::user()->role->id == 2)
        <script>
            function playSound(filename){
                var mp3Source = '<source src="' + filename + '.mp3" type="audio/mpeg">';
                var oggSource = '<source src="' + filename + '.ogg" type="audio/ogg">';
                var embedSource = '<embed hidden="true" autostart="true" loop="false" src="' + filename +'.mp3">';
                document.getElementById("sound_test").innerHTML='<audio autoplay="autoplay">' + mp3Source + oggSource + embedSource + '</audio>';
            }
            function notification_refresh() {

                $('#unique_notification').load('<?php echo url('author/notify');?>').fadeIn('slow');
            }
            setInterval("notification_refresh();",1500);//for sound
            //for notification have been seen
            $(document).ready(function() {
                $('#unique_notification').click(function(){

                    var _token =$('input[name="_token"]').val();
                    $.post("<?php echo url(route('author.notification.seen')) ?>", {_token:_token ,data:'karim'}, function (data) {

                    });
                });
            });
        </script>
    @endif
    <script>
         var time = new Date().getTime();
         $(document.body).bind("mousemove keypress", function(e) {
             time = new Date().getTime();
         });

         function refresh() {
             if(new Date().getTime() - time >= 60000) 
                 window.location.reload(true);
             else 
                 setTimeout(refresh, 10000);
         }

         setTimeout(refresh, 10000);
    </script>
    @stack('js')
    <script src="https://cdn.bootcss.com/toastr.js/latest/js/toastr.min.js"></script>
    {!! \Brian2694\Toastr\Facades\Toastr::message() !!}
    <script>
        @if($errors->any())
            @foreach($errors->all() as $error)
                toastr.error('{{ $error }}','Error',{
                        closeButton:true,
                        progressBar:true,
                });
            @endforeach
        @endif
    </script>

</body>
</html>